Commissions
Disapprove a commission
DELETE
/
commissions
/
{commission_id}
/
approved
/
Disapprove a commission
curl --request DELETE \
--url https://api.tapfiliate.com/1.6/commissions/{commission_id}/approved/ \
--header 'X-Api-Key: <api-key>'const options = {method: 'DELETE', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.tapfiliate.com/1.6/commissions/{commission_id}/approved/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tapfiliate.com/1.6/commissions/{commission_id}/approved/"
headers = {"X-Api-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tapfiliate.com/1.6/commissions/{commission_id}/approved/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.tapfiliate.com/1.6/commissions/{commission_id}/approved/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tapfiliate.com/1.6/commissions/{commission_id}/approved/"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.tapfiliate.com/1.6/commissions/{commission_id}/approved/")
.header("X-Api-Key", "<api-key>")
.asString();{
"id": 1,
"conversion_sub_amount": 550,
"amount": 55,
"commission_type": "standard",
"approved": false,
"affiliate": {
"id": "janejameson",
"firstname": "Jane",
"lastname": "Jameson"
},
"conversion": {
"id": 1
},
"kind": "regular",
"currency": "USD",
"created_at": null,
"payout": null,
"comment": null,
"final": null,
"finalization_date": null,
"commission_name": "standard"
}{
"message": "Authentication Failed.",
"code": 401
}{
"message": "Forbidden",
"code": 403,
"traceId": "04ed655728a22bc0d39f"
}{
"message": "Not Found",
"code": 404,
"traceId": "7ae8e92b77572da03805"
}Authorizations
Your API key, from your Tapfiliate account settings.
Path Parameters
Numeric id of the commission to perform action with.
Response
OK
⌘I
Disapprove a commission
curl --request DELETE \
--url https://api.tapfiliate.com/1.6/commissions/{commission_id}/approved/ \
--header 'X-Api-Key: <api-key>'const options = {method: 'DELETE', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.tapfiliate.com/1.6/commissions/{commission_id}/approved/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tapfiliate.com/1.6/commissions/{commission_id}/approved/"
headers = {"X-Api-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tapfiliate.com/1.6/commissions/{commission_id}/approved/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.tapfiliate.com/1.6/commissions/{commission_id}/approved/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tapfiliate.com/1.6/commissions/{commission_id}/approved/"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.tapfiliate.com/1.6/commissions/{commission_id}/approved/")
.header("X-Api-Key", "<api-key>")
.asString();{
"id": 1,
"conversion_sub_amount": 550,
"amount": 55,
"commission_type": "standard",
"approved": false,
"affiliate": {
"id": "janejameson",
"firstname": "Jane",
"lastname": "Jameson"
},
"conversion": {
"id": 1
},
"kind": "regular",
"currency": "USD",
"created_at": null,
"payout": null,
"comment": null,
"final": null,
"finalization_date": null,
"commission_name": "standard"
}{
"message": "Authentication Failed.",
"code": 401
}{
"message": "Forbidden",
"code": 403,
"traceId": "04ed655728a22bc0d39f"
}{
"message": "Not Found",
"code": 404,
"traceId": "7ae8e92b77572da03805"
}